/* $Id: window.h,v 1.8 2007/09/07 21:38:22 mgdepalma Exp $
 *
 * Copyright (C) 2007 Softcraft Impresa, LLC <info@softcraft.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; You may only use version 2 of the License,
 * you have no option to use any other version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef WINDOW_H
#define WINDOW_H

#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <gtk/gtk.h>

G_BEGIN_DECLS

/* Methods exported by the implementation */
const gchar *file_path_find (GList *list, const gchar *name);
GtkAllocation *get_label_size (GtkWidget *label);

GdkBitmap *create_mask_from_pixmap (GdkPixmap *pixmap, gint xsize, gint ysize);

GtkWidget *image_new_from_file_scaled (const gchar *file,
                                       gint width, gint height);

GdkPixbuf *pixbuf_new_from_file_scaled (const gchar *file,
                                        gint width, gint height);

GdkPixbuf *pixbuf_scale (GdkPixbuf *pixbuf, gint width, gint height);

gboolean redraw_pixbuf (GtkWidget *canvas, GdkPixbuf *pixbuf);
void set_background_pixbuf (GdkWindow *window, GdkPixbuf *pixbuf);

void draw_pixbuf (GdkDrawable *target,
                  GdkPixbuf *pixbuf, GdkGC *gc,
                  gint xpos, gint ypos);

void draw_pixmap (GdkDrawable *target,
                  GdkPixmap *pixmap, GdkGC *gc,
                  gint xpos, gint ypos);

GtkWidget *sticky_window_new (GdkWindowTypeHint hint,
                              gint width, gint height,
                              gint xpos, gint ypos);

G_END_DECLS

#endif /* </WINDOW_H */
